clc 
clear all
b1=[0 711.1 1896];a1=[1 6.43 900.4];
b2=[-51.96 -1832 -1.42e6];a2=[1 6.43 900.4];
g1=tf(b1,a1);%transfer function q(pitch rate) t0 delta(deflection)
g2=tf(b2,a2);%transfer function az(Normal acceleration) t0 q(pitch rate)
g=g1*g2%main system:transfer function az(Normal accerlatin) t0 delta(deflection)
b=[0 -3.695e4 -1.401e6 -1.013e9 -2.692e9];a=[1 12.86 1842 1.158e4 8.107e5];
[A,B,C,D] = tf2ss(b,a);
figure(1)
step(g)%step response of missile dynamic in pitch chanel
ylabel('a_z (m/s^2)')
grid
title('step response of missile dynamic')
sys=ss(A,B,C,D);%main system:transfer function az(Normal accerlatin) t0 delta(deflection) in state space
n=length(A);
%%%controlability  and observeability check
Co = ctrb(sys);%controlability matrix 
if rank(Co)==n;
     disp(' system is controlable')
 else
         disp(' system is uncontrolable')
end
Ob=obsv(sys);%observabillty matrix
 if rank(Ob)==n;
     disp(' system is observeable')
 else
         disp(' system is unobservable')
 end
